ora2pg_17.6-1_all.deb


Advertisement

Description

ora2pg - Oracle/MySQL to PostgreSQL database schema converter

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Contrib amd64
Package name ora2pg
Package version 17.6
Package release 1
Package architecture all
Package type deb
Installed size 858 B
Download size 250.60 KB
Official Mirror ftp.br.debian.org
This package contains a Perl module and a companion script to convert an
Oracle or MySQL database schema, data and stored procedures to a
PostgreSQL database.

Alternatives

Package Version Architecture Repository
ora2pg_17.6-1_all.deb 17.6 all Debian Contrib
ora2pg - - -

Requires

Name Value
libdbd-oracle-perl -
libdbd-pg-perl -
libdbi-perl -
libio-compress-perl -
perl -

Download

Type URL
Binary Package ora2pg_17.6-1_all.deb
Source Package ora2pg

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ora2pg deb package:
    # sudo apt-get install ora2pg

Files

Path
/etc/ora2pg/ora2pg.conf
/usr/bin/ora2pg
/usr/bin/ora2pg_scanner
/usr/share/doc/ora2pg/README.gz
/usr/share/doc/ora2pg/changelog.Debian.gz
/usr/share/doc/ora2pg/changelog.gz
/usr/share/doc/ora2pg/copyright
/usr/share/man/man3/ora2pg.3pm.gz
/usr/share/perl5/Ora2Pg.pm
/usr/share/perl5/Ora2Pg/GEOM.pm
/usr/share/perl5/Ora2Pg/MySQL.pm
/usr/share/perl5/Ora2Pg/PLSQL.pm

Changelog

2016-12-04 - gustavo panizzo <gfa@zumbi.com.ar>
ora2pg (17.6-1) unstable; urgency=medium
* QA upload
* New upstream release
* Bump Standards-Version to 3.9.8, no changes were needed
* Add xz on debian/source/options
* Refresh/Add patches
- refreshed 01_Ora2Pg.pod.diff
- refreshed 02_remove_unnecessary_files.diff
change the manpage's destination from 3 to 3pm,
not to modify ora2pg script at install time,
and to install the config in /etc/ora2pg/ora2pg.conf
- add cf81287191c1560b238fe2967560d8bff33e24b0.patch, reverts 697f09d
that was breaking encoding with input file (-i)
- Add spelling-fixes.patch
* Update compat level to 10
* Build depend on debhelper >=10
* Change section from extra to database
* Update long description to mention MySQL support
* Update copyright years
* Add Vcs-* fields to debian/control
* Update README.source
* Packaging is now maintained on a git repo under collab-maint
* Add Vcs fields to debian/control
* Add pristine-tar to the git repo
* Add gbp.conf
2016-12-02 - Andreas Beckmann <anbe@debian.org>
ora2pg (8.11-2) unstable; urgency=medium
* QA upload.
* Set maintainer to Debian QA Group.  (See: #826778)
* Use dpkg default compressor.  (Closes: #833249)
2012-05-23 - Julián Moreno Patiño <darkjunix@gmail.com>
ora2pg (8.11-1) unstable; urgency=low
* New upstream release.
2012-03-25 - Julián Moreno Patiño <darkjunix@gmail.com>
ora2pg (8.10-1) unstable; urgency=low
* New upstream release.
* Refresh 02_remove_unnecessary_files.diff
patch offset.
* Bump Standards-Version to 3.9.3.
+ Update Homepage in debian/control.
+ Update DEP5 to copyright-format 1.0.
+ Extend copyright holders years.
+ Update URL in Source field.
+ Remove unnecessary newline.
* Change libcompress-zlib-perl to
libio-compress-perl in Depends.
* Remove libstring-random-perl in Depends,
because is not needed (from upstream changelog).
* Sort Dependencies and remove newline in debian/control.
2011-11-09 - Julián Moreno Patiño <darkjunix@gmail.com>
ora2pg (8.9-1) unstable; urgency=low
* New upstream release.
* Refresh 02_remove_unnecessary_files.diff patch.
2011-10-17 - Julián Moreno Patiño <darkjunix@gmail.com>
ora2pg (8.8-1) unstable; urgency=low
* New upstream release
* Refresh 02_remove_unnecessary_files.diff patch
* Move perl to B-D-I
* debian/rules: Remove override_dh_fixperms
because upstream doesn't ship anymore
/usr/share/perl5/ora2pg.pl
* debian/copyright: Replace DEP5 Format URL from
dep.debian.net to anonscm.debian.org URL and
remove unnecessary whitespaces.
2011-09-09 - Julián Moreno Patiño <darkjunix@gmail.com>
ora2pg (8.7-1) unstable; urgency=low
* New upstream release
* Refresh all patches
* Add override_dh_fixperms to fix permission
2011-07-13 - Julián Moreno Patiño <darkjunix@gmail.com>
ora2pg (8.6-1) unstable; urgency=low
* New upstream release
* Refresh all patches
2011-07-06 - Julián Moreno Patiño <darkjunix@gmail.com>
ora2pg (8.5-1) unstable; urgency=low
* New upstream release.
* Refresh all patches.
* Set debhelper v8 in B-D
* Switch compat level 7 to 8
2011-06-10 - Julián Moreno Patiño <darkjunix@gmail.com>
ora2pg (8.4-1) unstable; urgency=low
* New upstream release.
* Update watch file.

See Also

Package Description
pidgin-skype-common_20140930+svn665+dfsg-1_amd64.deb Skype plugin for libpurple messengers (common files)
pidgin-skype_20140930+svn665+dfsg-1_amd64.deb Skype plugin for libpurple messengers (Pidgin-specific files)
playonlinux_4.2.10-2_all.deb front-end for Wine
premail_0.46-10_all.deb An e-mail privacy package
publicfile-installer_0.12-1_all.deb installer package for the publicfile HTTP and FTP server
pvpgn_1.8.5-2.1_amd64.deb gaming server that emulates Battle.net(R)
python-chargebee2_2.2.3-1_all.deb Python library for integrating with Chargebee (Python 2/API v2)
python-chargebee_1.6.3-1_all.deb Python library for integrating with Chargebee (Python 2/API v1)
python-django-anymail_0.8-2+deb9u1_all.deb Django email backend for multiple ESPs (Python 2)
python-ifeffit_1.2.11d-10.1_amd64.deb Python GUI interface and extensions for IFEFFIT
python-pycuda-doc_2016.1.2+git20161024-1_all.deb module to access Nvidia‘s CUDA computation API (documentation)
python-pycuda_2016.1.2+git20161024-1+b1_amd64.deb Python module to access Nvidia‘s CUDA parallel computation API
python-skype4py_1.0.35-2_all.deb Skype API wrapper for Python
python-sparkpost_1.3.3-1_all.deb SparkPost Python API client (Python 2)
python-vertica_0.6.8-2_all.deb native Python client for the Vertica database
Advertisement
Advertisement